## uncalled 2.2+ds

=== Makefile ===
CC=gcc
CFLAGS=-Wall -std=c++11 -g -fPIC -O3 $(FLAGS)

LIBHDF5=./submods/hdf5/lib/libhdf5.a
HDF5_LIB=-L./submods/hdf5/lib $(LIBHDF5)
HDF5_INCLUDE=-I./submods/hdf5/include

LIBBWA=./submods/bwa/libbwa.a
BWA_LIB=-L./submods/bwa $(LIBBWA)
BWA_INCLUDE=-I./submods/bwa

LIBS=$(HDF5_LIB) $(BWA_LIB) -lstdc++ -lz -ldl -pthread -lm 
INCLUDE=-I submods/ -I submods/toml11 -I submods/fast5/include -I submods/pybind11/include -I submods/pdqsort $(HDF5_INCLUDE) $(BWA_INCLUDE)

SRC=src
BUILD=build
BIN=bin
LIB=lib
#INCLUDE=include

_COMMON_OBJS=mapper.o seed_tracker.o range.o event_detector.o normalizer.o chunk.o read_buffer.o fast5_reader.o event_profiler.o #sync_out.o

_MAP_ORD_OBJS=$(_COMMON_OBJS) realtime_pool.o map_pool_ord.o uncalled_map_ord.o 
_MAP_OBJS=$(_COMMON_OBJS) map_pool.o uncalled_map.o 
_SIM_OBJS=$(_COMMON_OBJS) realtime_pool.o client_sim.o uncalled_sim.o 
_DTW_OBJS=dtw_test.o fast5_reader.o read_buffer.o normalizer.o chunk.o event_detector.o range.o

_ALL_OBJS=$(_COMMON_OBJS) realtime_pool.o map_pool.o uncalled_map.o uncalled_map_ord.o client_sim.o uncalled_sim.o dtw_test.o

MAP_OBJS = $(patsubst %, $(BUILD)/%, $(_MAP_OBJS))
MAP_ORD_OBJS = $(patsubst %, $(BUILD)/%, $(_MAP_ORD_OBJS))
SIM_OBJS = $(patsubst %, $(BUILD)/%, $(_SIM_OBJS))
DTW_OBJS = $(patsubst %, $(BUILD)/%, $(_DTW_OBJS))
ALL_OBJS = $(patsubst %, $(BUILD)/%, $(_ALL_OBJS))

DEPENDS := $(patsubst %.o, %.d, $(ALL_OBJS))

MAP_BIN = $(BIN)/uncalled_map
MAP_ORD_BIN = $(BIN)/uncalled_map_ord
SIM_BIN = $(BIN)/uncalled_sim
DTW_BIN = $(BIN)/dtw_test

all: dirs $(MAP_BIN) $(MAP_ORD_BIN) $(SIM_BIN) $(DTW_BIN)

#$(BIN)/%.o:src/%.c
#	$(CC) -c $< -o $@

$(MAP_BIN): $(MAP_OBJS) $(LIBHDF5) $(LIBBWA)
	$(CC) $(CFLAGS) $(MAP_OBJS) -o $@ $(LIBS)

$(MAP_ORD_BIN): $(MAP_ORD_OBJS) $(LIBHDF5) $(LIBBWA)
	$(CC) $(CFLAGS) $(MAP_ORD_OBJS) -o $@ $(LIBS)

$(SIM_BIN): $(SIM_OBJS) $(LIBHDF5) $(LIBBWA)
	$(CC) $(CFLAGS) $(SIM_OBJS) -o $@ $(LIBS)

$(DTW_BIN): $(DTW_OBJS) $(LIBHDF5) $(LIBBWA)
	$(CC) $(CFLAGS) $(DTW_OBJS) -o $@ $(LIBS)
	
#inspired by https://github.com/jts/nanopolish/blob/master/Makefile
$(LIBHDF5):
	cd submods/hdf5 && \
		./configure --enable-threadsafe --disable-hl --prefix=`pwd` --enable-shared=no --with-pic=yes || exit 255
	make -j 8 -C submods/hdf5 && make -C submods/hdf5 install
#--CFLAGS="-fPIC"

$(LIBBWA):
	make -C submods/bwa -f ../../src/Makefile_bwa

-include $(DEPENDS)

$(BUILD)/%.o: $(SRC)/%.cpp $(LIBHDF5) $(LIBBWA)
	$(CC) $(CFLAGS) -MMD -MP -c $< -o $@ $(INCLUDE)

DIRS: $(BIN) $(BUILD)

.PHONY: dirs
dirs: $(BIN)/ $(BUILD)/

$(BIN)/:
	mkdir -p $@

$(BUILD)/:
	mkdir -p $@

clean:
	rm -rf $(BUILD)

=== submods/toml11/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
enable_testing()

project(toml11 VERSION 3.3.1)

option(toml11_BUILD_TEST "Build toml tests" ON)
option(toml11_TEST_WITH_ASAN  "use LLVM address sanitizer" OFF)
option(toml11_TEST_WITH_UBSAN "use LLVM undefined behavior sanitizer" OFF)

include(CheckCXXCompilerFlag)
if("${CMAKE_VERSION}" VERSION_GREATER 3.1)
    set(CMAKE_CXX_STANDARD 11 CACHE STRING "The C++ standard whose features are requested to build all targets.")
    set(CMAKE_CXX_STANDARD_REQUIRED ON CACHE BOOL "Boolean describing whether the value of CXX_STANDARD is a requirement.")
    set(CMAKE_CXX_EXTENSIONS OFF CACHE BOOL "Boolean specifying whether compiler specific extensions are requested.")
else()
    # Manually check for C++11 compiler flag.
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    CHECK_CXX_COMPILER_FLAG("-std=gnu++11" COMPILER_SUPPORTS_GNU11)
    CHECK_CXX_COMPILER_FLAG("-std=gnu++0x" COMPILER_SUPPORTS_GNU0X)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    elseif(COMPILER_SUPPORTS_CXXOX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    elseif(COMPILER_SUPPORTS_GNU11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
    elseif(COMPILER_SUPPORTS_GNU0X)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++0x")
    else()
        if(MSVC)
            if(MSVC_VERSION LESS 1900)
                message(SEND_ERROR "MSVC < 14.0 is not supported. Please update your compiler or use mingw")
            endif()
        else()
            message(SEND_ERROR "The ${CMAKE_CXX_COMPILER} compiler lacks C++11 support. Use another compiler.")
        endif()
    endif()
endif()

# Set some common directories
include(GNUInstallDirs)
set(toml11_install_cmake_dir         ${CMAKE_INSTALL_LIBDIR}/cmake/toml11)
set(toml11_install_include_dir       ${CMAKE_INSTALL_INCLUDEDIR})
set(toml11_config_dir                ${CMAKE_CURRENT_BINARY_DIR}/cmake/)
set(toml11_config                    ${toml11_config_dir}/toml11Config.cmake)
set(toml11_config_version            ${toml11_config_dir}/toml11ConfigVersion.cmake)

add_library(toml11 INTERFACE)
target_include_directories(toml11 INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${toml11_install_include_dir}>
)
add_library(toml11::toml11 ALIAS toml11)

# Write config and version config files
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    ${toml11_config_version}
    VERSION ${toml11_VERSION}
    COMPATIBILITY SameMajorVersion
)

configure_package_config_file(
    cmake/toml11Config.cmake.in
    ${toml11_config}
    INSTALL_DESTINATION ${toml11_install_cmake_dir}
    PATH_VARS toml11_install_cmake_dir
)

# Install config files
install(FILES ${toml11_config} ${toml11_config_version}
    DESTINATION ${toml11_install_cmake_dir}
)

# Install header files
install(
    FILES toml.hpp
    DESTINATION "${toml11_install_include_dir}"
)
install(
    DIRECTORY "toml"
    DESTINATION "${toml11_install_include_dir}"
    FILES_MATCHING PATTERN "*.hpp"
)

# Export targets and install them
install(TARGETS toml11
    EXPORT toml11Targets
)
install(EXPORT toml11Targets
    FILE toml11Targets.cmake
    DESTINATION ${toml11_install_cmake_dir}
    NAMESPACE toml11::
)

if (toml11_BUILD_TEST)
    add_subdirectory(tests)
endif ()

=== submods/toml11/tests/CMakeLists.txt ===
include(ExternalProject)
ExternalProject_Add(toml
        SOURCE_DIR ${CMAKE_CURRENT_BINARY_DIR}/toml
        GIT_REPOSITORY https://github.com/toml-lang/toml
        GIT_TAG v0.5.0
        CONFIGURE_COMMAND ""
        BUILD_COMMAND ""
        INSTALL_COMMAND "")

set(TEST_NAMES
    test_datetime
    test_string
    test_utility
    test_result
    test_traits
    test_value
    test_lex_boolean
    test_lex_integer
    test_lex_floating
    test_lex_datetime
    test_lex_string
    test_lex_key_comment
    test_parse_boolean
    test_parse_integer
    test_parse_floating
    test_parse_string
    test_parse_datetime
    test_parse_array
    test_parse_table
    test_parse_inline_table
    test_parse_key
    test_parse_table_key
    test_literals
    test_comments
    test_get
    test_get_or
    test_find
    test_find_or
    test_expect
    test_parse_file
    test_serialize_file
    test_parse_unicode
    test_error_detection
    test_format_error
    test_extended_conversions
)

CHECK_CXX_COMPILER_FLAG("-Wall"      COMPILER_SUPPORTS_WALL)
CHECK_CXX_COMPILER_FLAG("-Wextra"    COMPILER_SUPPORTS_WEXTRA)
CHECK_CXX_COMPILER_FLAG("-Wpedantic" COMPILER_SUPPORTS_WPEDANTIC)
CHECK_CXX_COMPILER_FLAG("-Werror"    COMPILER_SUPPORTS_WERROR)

CHECK_CXX_COMPILER_FLAG("-Wsign-conversion"     COMPILER_SUPPORTS_WSIGN_CONVERSION)
CHECK_CXX_COMPILER_FLAG("-Wconversion"          COMPILER_SUPPORTS_WCONVERSION)
CHECK_CXX_COMPILER_FLAG("-Wduplicated-cond"     COMPILER_SUPPORTS_WDUPLICATED_COND)
CHECK_CXX_COMPILER_FLAG("-Wduplicated-branches" COMPILER_SUPPORTS_WDUPLICATED_BRANCHES)
CHECK_CXX_COMPILER_FLAG("-Wlogical-op"          COMPILER_SUPPORTS_WLOGICAL_OP)
CHECK_CXX_COMPILER_FLAG("-Wuseless-cast"        COMPILER_SUPPORTS_WUSELESS_CAST)
CHECK_CXX_COMPILER_FLAG("-Wdouble-promotion"    COMPILER_SUPPORTS_WDOUBLE_PROMOTION)
CHECK_CXX_COMPILER_FLAG("-Wrange-loop-analysis" COMPILER_SUPPORTS_WRANGE_LOOP_ANALYSIS)
CHECK_CXX_COMPILER_FLAG("-Wundef"               COMPILER_SUPPORTS_WUNDEF)

if(COMPILER_SUPPORTS_WALL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()
if(COMPILER_SUPPORTS_WEXTRA)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra")
endif()
if(COMPILER_SUPPORTS_WPEDANTIC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wpedantic")
endif()
if(COMPILER_SUPPORTS_WERROR)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()
if(COMPILER_SUPPORTS_WSIGN_CONVERSION)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsign-conversion")
endif()
if(COMPILER_SUPPORTS_WCONVERSION)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wconversion")
endif()
if(COMPILER_SUPPORTS_WDUPLICATED_COND)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wduplicated-cond")
endif()
if(COMPILER_SUPPORTS_WDUPLICATED_BRANCHES)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wduplicated-branches")
endif()
if(COMPILER_SUPPORTS_WLOGICAL_OP)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wlogical-op")
endif()
if(COMPILER_SUPPORTS_WUSELESS_CAST)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wuseless-cast")
endif()
if(COMPILER_SUPPORTS_WDOUBLE_PROMOTION)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdouble-promotion")
endif()
if(COMPILER_SUPPORTS_WRANGE_LOOP_ANALYSIS)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wrange-loop-analysis")
endif()
if(COMPILER_SUPPORTS_WUNDEF)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wundef")
endif()

option(TOML11_USE_UNRELEASED_TOML_FEATURES
    "use features in toml-lang/toml master while testing" OFF)

if(TOML11_USE_UNRELEASED_TOML_FEATURES)
    message(STATUS "adding TOML11_USE_UNRELEASED_TOML_FEATURES flag")
    add_definitions("-DTOML11_USE_UNRELEASED_TOML_FEATURES")
endif()

# Disable some MSVC warnings
if(MSVC)
    # conversion from 'double' to 'unsigned int', possible loss of data
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4244")
    # conversion from 'int' to 'unsigned int', signed/unsigned mismatch
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4365")
    # layout of class may have changed from a previous version of the compiler
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4371")
    # enumerator in switch of enum is not explicitly handled by a case label
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4061")
    # unreferenced inline function has been removed
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4514")
    # constructor is not implicitly called
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4582")
    # destructor is not implicitly called
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4583")
    # pragma warning: there is no warning number <x>
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4619")
    # default constructor was implicitly defined as deleted
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4623")
    # copy constructor was implicitly defined as deleted
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4625")
    # assignment operator was implicitly defined as deleted
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4626")
    # move assignment operator was implicitly defined as deleted
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4627")
    # <X> is not defined as a preprocessor macro, replacing with '0' for '#if/#elif'
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4668")
    # function not inlined
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4710")
    # function selected for automatic inlining
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4711")
    # <x> bytes padding added after data member
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4820")
    # pragma warning(pop): likely mismatch, popping warning state pushed in different file
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd5031")
endif()

find_package(Boost COMPONENTS unit_test_framework REQUIRED)
add_definitions(-DBOOST_TEST_DYN_LINK)
add_definitions(-DUNITTEST_FRAMEWORK_LIBRARY_EXIST)

foreach(TEST_NAME ${TEST_NAMES})
    add_executable(${TEST_NAME} ${TEST_NAME}.cpp)
    target_link_libraries(${TEST_NAME} ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY} toml11::toml11)
    target_include_directories(${TEST_NAME} PRIVATE ${Boost_INCLUDE_DIRS})

    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        if(toml11_TEST_WITH_ASAN)
            set_target_properties(${TEST_NAME} PROPERTIES
                COMPILE_FLAGS "-fsanitize=address -fno-omit-frame-pointer"
                LINK_FLAGS    "-fsanitize=address -fno-omit-frame-pointer")
        elseif(toml11_TEST_WITH_UBSAN)
            set_target_properties(${TEST_NAME} PROPERTIES
                COMPILE_FLAGS "-fsanitize=undefined"
                LINK_FLAGS    "-fsanitize=undefined")
        endif()
    endif()

    add_test(NAME ${TEST_NAME} COMMAND ${TEST_NAME} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

    # Set the PATH to be able to find Boost DLL
    if(WIN32)
        STRING(REPLACE ";" "\\;" PATH_STRING "$ENV{PATH}")
        set_tests_properties(${TEST_NAME}
            PROPERTIES ENVIRONMENT "PATH=${PATH_STRING}\;${Boost_LIBRARY_DIRS}"
        )
    endif()
endforeach(TEST_NAME)

# this test is to check it compiles. it will not run
add_executable(test_multiple_translation_unit
               test_multiple_translation_unit_1.cpp
               test_multiple_translation_unit_2.cpp)
target_link_libraries(test_multiple_translation_unit toml11::toml11)

=== debian/changelog ===
uncalled (2.2+ds-1) unstable; urgency=high

  * Source-only upload.
  * Added patch for 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Feb 2021 09:22:50 +0100

uncalled (2.2+ds-1~0exp) experimental; urgency=medium

  * Initial release. (Closes: #982142)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 06 Feb 2021 20:34:48 +0100

=== debian/control ===
Source: uncalled
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-all-dev,
               python3-setuptools,
#              python3-read-until,
               python3-pybind11,
               python3-numpy,
               pdqsort-dev,
               dh-python,
               libbwa-dev,
               libhdf5-dev,
               pkg-config,
               libfast5-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/uncalled
Vcs-Git: https://salsa.debian.org/med-team/uncalled.git
Homepage: https://github.com/skovaka/UNCALLED
Rules-Requires-Root: no

Package: uncalled
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-numpy
Description: Utility for Nanopore Current Alignment to Large Expanses of DNA
 Streaming algorithm for mapping raw nanopore signal to DNA references
 .
 Enables real-time enrichment or depletion on Oxford Nanopore Technologies
 (ONT) MinION runs via ReadUntil.
 .
 Also supports standalone signal mapping of fast5 reads

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=uncalled

# include /usr/share/dpkg/default.mk
# this provides:
# DEB_SOURCE: the source package name
# DEB_VERSION: the full version of the package (epoch + upstream vers. + revision)
# DEB_VERSION_EPOCH_UPSTREAM: the package's version without the Debian revision
# DEB_VERSION_UPSTREAM_REVISION: the package's version without the Debian epoch
# DEB_VERSION_UPSTREAM: the package's upstream version
# DEB_DISTRIBUTION: the distribution(s) listed in the current entry of debian/changelog
# SOURCE_DATE_EPOCH: the source release date as seconds since the epoch, as
#                    specified by <https://reproducible-builds.org/specs/source-date-epoch/>

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/skovaka/UNCALLED/releases/ .*/archive/v?@ANY_VERSION@\.tar\.gz

## uncalled 2.2+ds1

=== debian/changelog ===
uncalled (2.2+ds1-1) unstable; urgency=medium

  * Team upload
  * Use Debian packaged toml11

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 15:40:49 +0100

uncalled (2.2+ds-3) unstable; urgency=medium

  * Team upload.
  * Really fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2022 10:13:48 +0100

uncalled (2.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Enable building the package for developers who did not installed
    python3-pybind11 on their local machine

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 18:44:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=uncalled

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	if dpkg -s python3-pybind11 >/dev/null 2>/dev/null ; then \
	    dh_auto_clean ; \
	else \
	    echo "skip dh_auto_clean since python3-pybind11 is not installed on your local machine" ; \
	fi

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/skovaka/UNCALLED/tags .*/v?@ANY_VERSION@\.tar\.gz

## uncalled 2.3%2Bds

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 # for hardening you might like to uncomment this:
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+# Building with HDF5/1.14.4.3, forwarded: https://github.com/skovaka/UNCALLED/issues/60
+export DEB_CPPFLAGS_MAINT_APPEND = -DH5_USE_110_API
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## uncalled 2.3+ds

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 _MAP_ORD_OBJS=$(_COMMON_OBJS) realtime_pool.o map_pool_ord.o uncalled_map_ord.o 
 _MAP_OBJS=$(_COMMON_OBJS) map_pool.o uncalled_map.o 
 _SIM_OBJS=$(_COMMON_OBJS) realtime_pool.o client_sim.o uncalled_sim.o 
-_DTW_OBJS=dtw_test.o fast5_reader.o read_buffer.o normalizer.o chunk.o event_detector.o range.o
+_DTW_OBJS=dtw_test.o fast5_reader.o read_buffer.o normalizer.o chunk.o event_detector.o range.o event_profiler.o
 
 _ALL_OBJS=$(_COMMON_OBJS) realtime_pool.o map_pool.o uncalled_map.o uncalled_map_ord.o client_sim.o uncalled_sim.o dtw_test.o

=== debian/changelog ===
uncalled (2.3+ds-3) unstable; urgency=medium

  * Team upload
  * debian_toml11.patch: normalize last-update timestamp.
  * skip_read_until: unfuzz patch.
  * syntax-warning.patch: new: fix SyntaxWarnings. (Closes: #1087156)

 -- Étienne Mollier <emollier@debian.org>  Tue, 03 Dec 2024 20:44:38 +0100

uncalled (2.3+ds-2) unstable; urgency=medium

  * Team upload
  * Building with HDF5/1.14.4.3 (Closes: #1078982)
  * Raising Standards version to 4.7.0 (no change)
  * Build-depending on pkgconf instead of obsolete pkg-config
  * Removing debian/files from the packaging

 -- Pierre Gruet <pgt@debian.org>  Wed, 21 Aug 2024 17:42:02 +0200

uncalled (2.3+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version (Refreshed patches)
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Submit.

  [ Nilesh Patra ]
  * Update patch to link to hdf5 lib on system
    + The upstream way to summon extra_objects for it is
      not relevant to us (downstream).

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jul 2023 07:55:11 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
                dh-python,
                libbwa-dev,
                libhdf5-dev,
-               pkg-config,
-               libfast5-dev
-Standards-Version: 4.5.1
+               pkgconf,
+               libfast5-dev,
+               libtoml11-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/uncalled
 Vcs-Git: https://salsa.debian.org/med-team/uncalled.git
 Homepage: https://github.com/skovaka/UNCALLED
